<?php
# ***** BEGIN LICENSE BLOCK *****
# This file is part of DotClear.
# Copyright (c) 2005 Olivier Meunier and contributors. All rights
# reserved.
#
# DotClear is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# DotClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# ***** END LICENSE BLOCK *****

$GLOBALS['core']->tpl->setPath($GLOBALS['core']->tpl->getPath(), dirname(__FILE__).'/template');
$GLOBALS['core']->url->register('dcOpenSearch/description.xml','dcOpenSearch/description.xml','^dcOpenSearch/description.xml$',array('urldcOpenSearch','description'));

class urldcOpenSearch extends dcUrlHandlers
{	
	public static function description()
	{
		global $core;
		header('Content-Type: application/opensearchdescription+xml');
		echo
		'<?xml version="1.0" encoding="UTF-8"?>
		<OpenSearchDescription xmlns="http://a9.com/-/spec/opensearch/1.1/">
			<ShortName>'.substr(html::escapeHTML($core->blog->name),0,16).'</ShortName>
			<Description>'.__('Search in').' '.html::escapeHTML($core->blog->name).'.</Description>
			<Url type="text/html" template="'.$core->blog->url.'?q={searchTerms}"/>
		</OpenSearchDescription>';
		exit;
	}
}
?>