<?php
# ***** BEGIN LICENSE BLOCK *****
# Widget Tribune Libre for DotClear.
# Copyright (c) 2006 Antoine Libert. All rights
# reserved.
#
# DotClear is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# DotClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# ***** END LICENSE BLOCK *****
if (!defined('DC_CONTEXT_ADMIN')) { exit; }
?>

<html>

<head>
<title>dcOpenSearch</title>
<style rel="text/css">
	#content h3{margin-left:1em;margin-top:0.5em;}
	#content p, #content pre {margin-left:4em;}

	#content pre {
		border:1px solid #888;
		padding:5px;
		background-color:#ccc;
		}
	#content pre:focus, #content pre:active {border:1px solid #222;}
</style>
</head>

<body>
<h2>dcOpenSearch</h2>
<?php 
echo
'<h3>'.__('Description').'</h3>'.
'<p>'.__('Add OpenSearch to DotClear 2.').'</p>'.
'<p>'.__('Some Browsers, like Firefox 2 and Internet Explorer 7, support OpenSearch as a way of customizing the browser\'s search box.').'</p>'.
'<h3>'.__('Setup').'</h3>'.
'<p>'.__('Copy/Paste the following code in the <strong>_head.html</strong> of your theme.').'</p>'.
'<pre class="code">{{tpl:include src="_dcopensearch.html"}}</pre>'.
'<h3>'.__('About').'</h3>'.
'<p>'.__('More information about OpenSearch').' : <a href="http://www.opensearch.org/">www.opensearch.org</a>.</p>'.
'<p>'.__('Made by').' : <a href="http://monoceros01.free.fr">Yann Granjon (monoceros01)</a>.</p>';
?>
</body>

</html>